/*
  BANNER v 1.1;
  05/2023;
  Jo«Șo Diogo Pereira;
*/

@font-face {
  font-family: 'Archivo';
  src: url(./Archivo.ttf);
}

*{
  font-family: 'Archivo'!important;
}

body{
  height: 100vh;
  overflow: hidden;
  background-color: #f2eadf;
}

.banner__item{
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 100%;
  max-height: 100%;
}

.banner__item__img{
  overflow: hidden;
  height: 100%;
  width: 100%;
}

.banner__item__img img{
  position: absolute;
  top: 0;
  left: 0;
  z-index: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: 0% 0%;
  transition: all .5s ease-in-out;
}

.banner__item__img .overlay{
  width: 100%;
  position: absolute;
  background-color: rgba(0, 0, 0, .3);
  top: 0;
  left: 0;
  opacity: 1;
  width: 100%;
  height: 100%;
  z-index: 1;
  transition: all .5s ease-in-out;
}

.banner__item__img:hover img, .logo:hover ~ .banner__item__img img{
  object-position: 100% 100%;
}

.banner__item__img:hover .overlay, .logo:hover ~ .banner__item__img .overlay{
  opacity: 0;
}

.logo{
  padding: 3rem;
  background-color: #fff;
  border-radius: 50%;
  width: fit-content;
  aspect-ratio: 1;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 2;
}

.logo svg{
  width: 150px;
  height: auto;
}

.btns{
  font-size: 16px;
  font-weight: bold;
  font-stretch: normal;
  font-style: normal;
  line-height: 1;
  letter-spacing: normal;
  text-align: left;
  color: #c49457;
  text-decoration: none;
  background-color: #fff;
  border-radius: 26.4px;
  padding: 5px 20px;
  width: fit-content;    
  display: block;
  margin: 0 auto;
  transition: all .3s ease-in-out;
}

.btns svg{
  width: 25px;
}

.btns svg.arrow path{
  fill: #c49457;
  transition: all .3s ease-in-out;
}

.btns svg.booking path{
  stroke: #c49457;
  transition: all .3s ease-in-out;
}

.btns:hover{
  background-color: #c49457;
  color: #fff;
}

.btns:hover svg.booking path{
  stroke: #fff;
}

.btns:hover svg.arrow path{
  fill: #fff;
}

footer{
  background-color: #fff;
}

.address__content strong{
  font-size: 15px;
  font-weight: bold;
  font-stretch: normal;
  font-style: normal;
  line-height: 1.1;
  letter-spacing: normal;
  text-align: left;
  color: #000;
  transition: all .3s ease-in-out;
}

.address__content a{
  text-decoration: none;
  line-height: 1.1;
  transition: all .3s ease-in-out;
}

.address__content a:hover strong{
  color: #c49457;
}

footer p{
  font-size: 12px;
  font-weight: normal;
  font-stretch: normal;
  font-style: normal;
  line-height: 1.1;
  letter-spacing: normal;
  text-align: left;
  color: #000;
}

.footer-text p{
  font-size: 12px;
  font-weight: normal;
  font-stretch: normal;
  font-style: normal;
  line-height: 1.1;
  letter-spacing: normal;
  text-align: left;
  color: #000;
}

.footer-text a{
  font-size: 12px;
  font-weight: normal;
  font-stretch: normal;
  font-style: normal;
  line-height: 1.1;
  letter-spacing: normal;
  text-align: left;
  color: #000;
  text-decoration: none;
  transition: all .3s ease-in-out;
}

.footer-text a:hover{
  color: #c49457;
}

footer svg{
  width: 20px;
  margin-right: .5rem;
}

.h-custom{
  height: 100%;
}

.p-custom{
  padding: 0 .25rem;
}

@media only screen and (max-width: 992px){
  .logo svg {
    width: 100px;
  }

  footer strong {
    font-size: 14px;
  }
}

@media only screen and (max-width: 767px){
  .btns{
    font-size: 13px;
  }

  .btns svg {
    width: 20px;
  }

  footer strong {
    font-size: 11px;
  }

  footer p {
    font-size: 9px;
  }

  footer svg {
    width: 17px;
    margin-right: 0.25rem;
  }

  .footer-text p, .footer-text a {
    font-size: 9px;
  }

  .address__content:nth-child(1), .address__content:nth-child(4){
    padding-left: 0;
    padding-right: .25rem;
  }

  .address__content:nth-child(2), .address__content:nth-child(3){
    padding-right: 0;
    padding-left: .25rem;
  }

  .logo {
    padding: 1.5rem;
  }

  .logo svg {
    width: 75px;
  }
}

@media only screen and (max-width: 767px) and (orientation: portrait){
  .h-custom {
    height: 33.333333333%;
  }

  .p-custom{
    padding: .25rem 0;
  }
}

@media only screen and (max-width: 767px) and (orientation: landscape){
  .h-custom {
    height: 100%;
    width: 33.333333333%
  }
}